API ReferenceapicommsPOST /v1/suppressions

POST /v1/suppressions

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "email": {
      "type": "string",
      "format": "email"
    },
    "reason": {
      "type": "string",
      "enum": [
        "hard_bounce",
        "complaint",
        "manual",
        "unsubscribe"
      ]
    },
    "source": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "brand_id",
    "email",
    "reason",
    "source"
  ]
}

Responses

200 Suppression added

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "email": {
      "type": "string"
    },
    "reason": {
      "type": "string"
    },
    "source": {
      "type": "string"
    },
    "suppressed_at": {
      "type": "string"
    },
    "lifted_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "brand_id",
    "email",
    "reason",
    "source",
    "suppressed_at",
    "lifted_at"
  ]
}

422 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://comms.platform.loop.health/v1/suppressions \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'